diff --git a/pki/base/console/src/com/netscape/admin/certsrv/config/CMSCACertSettingPanel.java b/pki/base/console/src/com/netscape/admin/certsrv/config/CMSCACertSettingPanel.java
index a43df0d1238e67e9965703a892caa2f99c8352fb..76aa595110911165c2fb2d1f83f42305dfc2c3ae 100644
--- a/pki/base/console/src/com/netscape/admin/certsrv/config/CMSCACertSettingPanel.java
+++ b/pki/base/console/src/com/netscape/admin/certsrv/config/CMSCACertSettingPanel.java
@@ -20,8 +20,7 @@ package com.netscape.admin.certsrv.config;
 import com.netscape.admin.certsrv.*;
 import com.netscape.certsrv.common.*;
 import com.netscape.management.client.util.*;
-import javax.swing.*;
-import java.awt.*;
+
 import java.awt.event.*;
 
 /**
@@ -71,8 +70,8 @@ public class CMSCACertSettingPanel extends CMSCertSettingPanel {
     public void refresh() {
         _model.progressStart();
         NameValuePairs nvp = new NameValuePairs();
-        nvp.add(Constants.PR_MAPPER, "");
-        nvp.add(Constants.PR_PUBLISHER, "");
+        nvp.put(Constants.PR_MAPPER, "");
+        nvp.put(Constants.PR_PUBLISHER, "");
 
         try {
             NameValuePairs val = _admin.read(DestDef.DEST_CA_ADMIN,
@@ -159,13 +158,12 @@ public class CMSCACertSettingPanel extends CMSCertSettingPanel {
     */
     
     private void populate(NameValuePairs nvps) {
-        for (int i=0; i<nvps.size(); i++) {
-            NameValuePair nvp = nvps.elementAt(i);
-            String name = nvp.getName();
+        for (String name : nvps.keySet()) {
+            String value = nvps.get(name);
             if (name.equals(Constants.PR_MAPPER)) {
-                _mapper.setText(nvp.getValue());
+                _mapper.setText(value);
             } else if (name.equals(Constants.PR_PUBLISHER)) {
-                _publisher.setText(nvp.getValue());
+                _publisher.setText(value);
             }
         }
     }     
diff --git a/pki/base/console/src/com/netscape/admin/certsrv/config/CMSCAConnectorPanel.java b/pki/base/console/src/com/netscape/admin/certsrv/config/CMSCAConnectorPanel.java
index 0ddb90dc4145608a18353104d60250c01f21242c..1af02a88153379e2d2e5109f3d7b6641b8cca697 100644
--- a/pki/base/console/src/com/netscape/admin/certsrv/config/CMSCAConnectorPanel.java
+++ b/pki/base/console/src/com/netscape/admin/certsrv/config/CMSCAConnectorPanel.java
@@ -18,15 +18,12 @@
 package com.netscape.admin.certsrv.config;
 
 import com.netscape.admin.certsrv.*;
-import com.netscape.management.client.*;
 import com.netscape.management.client.util.*;
 import com.netscape.certsrv.common.*;
 import com.netscape.admin.certsrv.connection.*;
 import javax.swing.*;
-import javax.swing.border.*;
 import java.awt.*;
 import java.awt.event.*;
-import java.util.*;
 
 /**
  * CA Connector Panel
@@ -150,15 +147,15 @@ public class CMSCAConnectorPanel  extends CMSBaseTab
             JFrame frame = mModel.getFrame();
             String name = (String)mList.getSelectedValue();
             NameValuePairs nvps = new NameValuePairs();
-            nvps.add(Constants.PR_ID, "");
-            nvps.add(Constants.PR_HOST, "");
-            nvps.add(Constants.PR_PORT, "");
+            nvps.put(Constants.PR_ID, "");
+            nvps.put(Constants.PR_HOST, "");
+            nvps.put(Constants.PR_PORT, "");
             // Inserted by beomsuk
-            nvps.add(Constants.PR_TIMEOUT, "");
+            nvps.put(Constants.PR_TIMEOUT, "");
             // Insert end
-            nvps.add(Constants.PR_URI, "");
-            nvps.add(Constants.PR_LOCAL, "");
-            nvps.add(Constants.PR_ENABLE, "");
+            nvps.put(Constants.PR_URI, "");
+            nvps.put(Constants.PR_LOCAL, "");
+            nvps.put(Constants.PR_ENABLE, "");
 
             try {
                 NameValuePairs values = mAdmin.read(DestDef.DEST_CA_ADMIN,
@@ -168,7 +165,7 @@ public class CMSCAConnectorPanel  extends CMSBaseTab
  
                 boolean colocated = false;
                 if (name.equals("Data Recovery Manager Connector")) {
-                    String val = values.getValue("id");
+                    String val = values.get("id");
                     if (val != null && val.equals("kra"))
                         colocated = true;
                 }
diff --git a/pki/base/console/src/com/netscape/admin/certsrv/config/CMSCAGeneralPanel.java b/pki/base/console/src/com/netscape/admin/certsrv/config/CMSCAGeneralPanel.java
index 3efcd1bbc10eea48e4cdc039d30adb344d4d2d06..6f809316a148d73f3ab7ffcdd87aa3e3955a6750 100644
--- a/pki/base/console/src/com/netscape/admin/certsrv/config/CMSCAGeneralPanel.java
+++ b/pki/base/console/src/com/netscape/admin/certsrv/config/CMSCAGeneralPanel.java
@@ -249,13 +249,13 @@ public class CMSCAGeneralPanel extends CMSBaseTab implements ItemListener {
     public void refresh() {
         mModel.progressStart();
         NameValuePairs nvps = new NameValuePairs();
-        nvps.add(Constants.PR_EE_ENABLED, "");
+        nvps.put(Constants.PR_EE_ENABLED, "");
         //nvps.add(Constants.PR_RA_ENABLED, "");
-        nvps.add(Constants.PR_DEFAULT_ALGORITHM, "");
-        nvps.add(Constants.PR_ALL_ALGORITHMS, "");
-        nvps.add(Constants.PR_SERIAL, "");
-        nvps.add(Constants.PR_MAXSERIAL, "");
-        nvps.add(Constants.PR_VALIDITY, "");
+        nvps.put(Constants.PR_DEFAULT_ALGORITHM, "");
+        nvps.put(Constants.PR_ALL_ALGORITHMS, "");
+        nvps.put(Constants.PR_SERIAL, "");
+        nvps.put(Constants.PR_MAXSERIAL, "");
+        nvps.put(Constants.PR_VALIDITY, "");
 
         try {
             NameValuePairs val = mAdmin.read(DestDef.DEST_CA_ADMIN,
@@ -272,31 +272,30 @@ public class CMSCAGeneralPanel extends CMSBaseTab implements ItemListener {
 
     protected void populate(NameValuePairs nvps) {
         String defaultAlgorithm = "";
-        for (int i=0; i<nvps.size(); i++) {
-            NameValuePair nvp = nvps.elementAt(i);
-            String name = nvp.getName();
+        for (String name : nvps.keySet()) {
+            String value = nvps.get(name);
             if (name.equals(Constants.PR_EE_ENABLED)) {
-                mEEEnable.setSelected(getBoolean(nvp.getValue()));
+                mEEEnable.setSelected(getBoolean(value));
             } else if (name.equals(Constants.PR_OCSP_ENABLED)) {
-                mOCSPEnable.setSelected(getBoolean(nvp.getValue()));
+                mOCSPEnable.setSelected(getBoolean(value));
 /*
             } else if (name.equals(Constants.PR_RA_ENABLED)) {
                 mRAEnable.setSelected(getBoolean(nvp.getValue()));
 */
             } else if (name.equals(Constants.PR_VALIDITY)) {
-                mValidity.setSelected(getBoolean(nvp.getValue()));
+                mValidity.setSelected(getBoolean(value));
             } else if (name.equals(Constants.PR_DEFAULT_ALGORITHM)) {
-                defaultAlgorithm = nvp.getValue();
+                defaultAlgorithm = value;
             } else if (name.equals(Constants.PR_ALL_ALGORITHMS)) {
-                initAlgorithmBox(nvp.getValue());
+                initAlgorithmBox(value);
             } else if (name.equals(Constants.PR_SERIAL)) {
-				String serial = nvp.getValue();
+				String serial = value;
 				if (!serial.equals(""))
 					mSerialNumber.setText(serial);
 				else
 					mSerialNumber.setText("All serial numbers are used");
             } else if (name.equals(Constants.PR_MAXSERIAL)) {
-				String serial = nvp.getValue();
+				String serial = value;
 				if (!serial.equals(""))
 					mMaxSerialNumber.setText(serial);
             }
@@ -340,14 +339,14 @@ public class CMSCAGeneralPanel extends CMSBaseTab implements ItemListener {
         NameValuePairs nvps = new NameValuePairs();
 
         if (mEEEnable.isSelected())
-            nvps.add(Constants.PR_EE_ENABLED, Constants.TRUE);
+            nvps.put(Constants.PR_EE_ENABLED, Constants.TRUE);
         else
-            nvps.add(Constants.PR_EE_ENABLED, Constants.FALSE);
+            nvps.put(Constants.PR_EE_ENABLED, Constants.FALSE);
 
         if (mOCSPEnable.isSelected())
-            nvps.add(Constants.PR_OCSP_ENABLED, Constants.TRUE);
+            nvps.put(Constants.PR_OCSP_ENABLED, Constants.TRUE);
         else
-            nvps.add(Constants.PR_OCSP_ENABLED, Constants.FALSE);
+            nvps.put(Constants.PR_OCSP_ENABLED, Constants.FALSE);
 
 /*
         if (mRAEnable.isSelected())
@@ -357,12 +356,12 @@ public class CMSCAGeneralPanel extends CMSBaseTab implements ItemListener {
 */
 
         if (mValidity.isSelected())
-            nvps.add(Constants.PR_VALIDITY, Constants.TRUE);
+            nvps.put(Constants.PR_VALIDITY, Constants.TRUE);
         else
-            nvps.add(Constants.PR_VALIDITY, Constants.FALSE);
+            nvps.put(Constants.PR_VALIDITY, Constants.FALSE);
 
-        nvps.add(Constants.PR_DEFAULT_ALGORITHM, 
-          (String)mAlgorithms.getSelectedItem());
+        nvps.put(Constants.PR_DEFAULT_ALGORITHM,
+                (String) mAlgorithms.getSelectedItem());
 
         String serial = (String)mSerialNumber.getText().trim();
         try {
diff --git a/pki/base/console/src/com/netscape/admin/certsrv/config/CMSCRLCachePanel.java b/pki/base/console/src/com/netscape/admin/certsrv/config/CMSCRLCachePanel.java
index 7236687900560d02b8f85dc2bd00c3ee7b7884a6..51da9c58c461e4f20b1dc652533b952997d9372d 100644
--- a/pki/base/console/src/com/netscape/admin/certsrv/config/CMSCRLCachePanel.java
+++ b/pki/base/console/src/com/netscape/admin/certsrv/config/CMSCRLCachePanel.java
@@ -24,7 +24,6 @@ import com.netscape.admin.certsrv.connection.*;
 import javax.swing.*;
 import java.awt.*;
 import java.awt.event.*;
-import java.util.StringTokenizer;
 
 /**
  * Panel Setting CRL Cache
@@ -205,10 +204,10 @@ public class CMSCRLCachePanel extends CMSBaseTab {
     public void refresh() {
         _model.progressStart();
         NameValuePairs nvps = new NameValuePairs();
-        nvps.add(Constants.PR_ENABLE_CACHE, "");
-        nvps.add(Constants.PR_CACHE_FREQ, "");
-        nvps.add(Constants.PR_CACHE_RECOVERY, "");
-        nvps.add(Constants.PR_CACHE_TESTING, "");
+        nvps.put(Constants.PR_ENABLE_CACHE, "");
+        nvps.put(Constants.PR_CACHE_FREQ, "");
+        nvps.put(Constants.PR_CACHE_RECOVERY, "");
+        nvps.put(Constants.PR_CACHE_TESTING, "");
 
         try {
             NameValuePairs val = null;
@@ -233,10 +232,8 @@ public class CMSCRLCachePanel extends CMSBaseTab {
 
     public void populate(NameValuePairs nvps) {
         String signingAlg = "";
-        for (int i=0; i<nvps.size(); i++) {
-            NameValuePair nvp = nvps.elementAt(i);
-            String name = nvp.getName();            
-            String value = nvp.getValue().trim();
+        for (String name : nvps.keySet()) {
+            String value = nvps.get(name).trim();
             if (name.equals(Constants.PR_ENABLE_CACHE)) {
                 mEnableCache.setSelected(getBoolean(value, true));
             } else if (name.equals(Constants.PR_CACHE_FREQ)) {
@@ -276,9 +273,9 @@ public class CMSCRLCachePanel extends CMSBaseTab {
 
 
         if (mEnableCache.isSelected())
-            nvps.add(Constants.PR_ENABLE_CACHE, Constants.TRUE);
+            nvps.put(Constants.PR_ENABLE_CACHE, Constants.TRUE);
         else
-            nvps.add(Constants.PR_ENABLE_CACHE, Constants.FALSE);
+            nvps.put(Constants.PR_ENABLE_CACHE, Constants.FALSE);
 
         cacheFreq = mCacheFreq.getText().trim();
         if (cacheFreq.equals("")) {
@@ -295,18 +292,18 @@ public class CMSCRLCachePanel extends CMSBaseTab {
             showMessageDialog("NUMBERFORMAT");
             return false;
         }
-        nvps.add(Constants.PR_CACHE_FREQ, cacheFreq);
+        nvps.put(Constants.PR_CACHE_FREQ, cacheFreq);
 
 
         if (mEnableCacheRecovery.isSelected())
-            nvps.add(Constants.PR_CACHE_RECOVERY, Constants.TRUE);
+            nvps.put(Constants.PR_CACHE_RECOVERY, Constants.TRUE);
         else
-            nvps.add(Constants.PR_CACHE_RECOVERY, Constants.FALSE);
+            nvps.put(Constants.PR_CACHE_RECOVERY, Constants.FALSE);
 
         if (mEnableCacheTesting.isSelected())
-            nvps.add(Constants.PR_CACHE_TESTING, Constants.TRUE);
+            nvps.put(Constants.PR_CACHE_TESTING, Constants.TRUE);
         else
-            nvps.add(Constants.PR_CACHE_TESTING, Constants.FALSE);
+            nvps.put(Constants.PR_CACHE_TESTING, Constants.FALSE);
 
         _model.progressStart();
 
diff --git a/pki/base/console/src/com/netscape/admin/certsrv/config/CMSCRLFormatPanel.java b/pki/base/console/src/com/netscape/admin/certsrv/config/CMSCRLFormatPanel.java
index 6e22af602da2d7fefedb9902177838d52319c9e6..3257b90a0f013c2bbeae8bf4bf8261aca3557ac9 100644
--- a/pki/base/console/src/com/netscape/admin/certsrv/config/CMSCRLFormatPanel.java
+++ b/pki/base/console/src/com/netscape/admin/certsrv/config/CMSCRLFormatPanel.java
@@ -220,14 +220,14 @@ public class CMSCRLFormatPanel extends CMSBaseTab {
     public void refresh() {
         _model.progressStart();
         NameValuePairs nvps = new NameValuePairs();
-        nvps.add(Constants.PR_EXTENSIONS, "");
-        nvps.add(Constants.PR_SIGNING_ALGORITHM, "");
-        nvps.add(Constants.PR_INCLUDE_EXPIREDCERTS, "");
-        nvps.add(Constants.PR_INCLUDE_EXPIREDCERTS_ONEEXTRATIME, "");
-        nvps.add(Constants.PR_CA_CERTS_ONLY, "");
-        nvps.add(Constants.PR_PROFILE_CERTS_ONLY, "");
-        nvps.add(Constants.PR_PROFILE_LIST, "");
-        nvps.add(Constants.PR_ENABLE_CACHE, "");
+        nvps.put(Constants.PR_EXTENSIONS, "");
+        nvps.put(Constants.PR_SIGNING_ALGORITHM, "");
+        nvps.put(Constants.PR_INCLUDE_EXPIREDCERTS, "");
+        nvps.put(Constants.PR_INCLUDE_EXPIREDCERTS_ONEEXTRATIME, "");
+        nvps.put(Constants.PR_CA_CERTS_ONLY, "");
+        nvps.put(Constants.PR_PROFILE_CERTS_ONLY, "");
+        nvps.put(Constants.PR_PROFILE_LIST, "");
+        nvps.put(Constants.PR_ENABLE_CACHE, "");
 
         try {
             NameValuePairs val = null;
@@ -259,10 +259,8 @@ public class CMSCRLFormatPanel extends CMSBaseTab {
 
     public void populate(NameValuePairs nvps) {
         String signingAlg = "";
-        for (int i=0; i<nvps.size(); i++) {
-            NameValuePair nvp = nvps.elementAt(i);
-            String name = nvp.getName();            
-            String value = nvp.getValue().trim();
+        for (String name : nvps.keySet()) {
+            String value = nvps.get(name).trim();
             if (name.equals(Constants.PR_EXTENSIONS)) {
                 mEnableExtensions.setSelected(getBoolean(value));
             } else if (name.equals(Constants.PR_SIGNING_ALGORITHM)) {
@@ -328,29 +326,29 @@ public class CMSCRLFormatPanel extends CMSBaseTab {
         NameValuePairs nvps = new NameValuePairs();
 
         if (mEnableExtensions.isSelected())
-            nvps.add(Constants.PR_EXTENSIONS, Constants.TRUE);
+            nvps.put(Constants.PR_EXTENSIONS, Constants.TRUE);
         else
-            nvps.add(Constants.PR_EXTENSIONS, Constants.FALSE);
+            nvps.put(Constants.PR_EXTENSIONS, Constants.FALSE);
  
         if (mEnableExpired.isSelected())
-            nvps.add(Constants.PR_INCLUDE_EXPIREDCERTS, Constants.TRUE);
+            nvps.put(Constants.PR_INCLUDE_EXPIREDCERTS, Constants.TRUE);
         else
-            nvps.add(Constants.PR_INCLUDE_EXPIREDCERTS, Constants.FALSE);
+            nvps.put(Constants.PR_INCLUDE_EXPIREDCERTS, Constants.FALSE);
 
         if (mEnableOneExtraTime.isSelected())
-            nvps.add(Constants.PR_INCLUDE_EXPIREDCERTS_ONEEXTRATIME, Constants.TRUE);
+            nvps.put(Constants.PR_INCLUDE_EXPIREDCERTS_ONEEXTRATIME, Constants.TRUE);
         else
-            nvps.add(Constants.PR_INCLUDE_EXPIREDCERTS_ONEEXTRATIME, Constants.FALSE);
+            nvps.put(Constants.PR_INCLUDE_EXPIREDCERTS_ONEEXTRATIME, Constants.FALSE);
 
         if (mCACertsOnly.isSelected())
-            nvps.add(Constants.PR_CA_CERTS_ONLY, Constants.TRUE);
+            nvps.put(Constants.PR_CA_CERTS_ONLY, Constants.TRUE);
         else
-            nvps.add(Constants.PR_CA_CERTS_ONLY, Constants.FALSE);
+            nvps.put(Constants.PR_CA_CERTS_ONLY, Constants.FALSE);
         
         if (mProfileCertsOnly.isSelected())
-            nvps.add(Constants.PR_PROFILE_CERTS_ONLY, Constants.TRUE);
+            nvps.put(Constants.PR_PROFILE_CERTS_ONLY, Constants.TRUE);
         else
-            nvps.add(Constants.PR_PROFILE_CERTS_ONLY, Constants.FALSE);
+            nvps.put(Constants.PR_PROFILE_CERTS_ONLY, Constants.FALSE);
 
         String profileList = null;
         if (mProfileCertsOnly.isSelected()) {
@@ -365,15 +363,15 @@ public class CMSCRLFormatPanel extends CMSBaseTab {
             }
         }
         if (profileList != null)
-            nvps.add(Constants.PR_PROFILE_LIST, profileList);
+            nvps.put(Constants.PR_PROFILE_LIST, profileList);
         else
-            nvps.add(Constants.PR_PROFILE_LIST, mProfiles.getText().trim());
+            nvps.put(Constants.PR_PROFILE_LIST, mProfiles.getText().trim());
 
 
         int index = mAlgorithms.getSelectedIndex();
 
-        nvps.add(Constants.PR_SIGNING_ALGORITHM,
-            (String)mAlgorithms.getSelectedItem());
+        nvps.put(Constants.PR_SIGNING_ALGORITHM,
+                (String) mAlgorithms.getSelectedItem());
 
         _model.progressStart();
 
diff --git a/pki/base/console/src/com/netscape/admin/certsrv/config/CMSCRLIPPanel.java b/pki/base/console/src/com/netscape/admin/certsrv/config/CMSCRLIPPanel.java
index 9bc141f7b3059fbd76c96f0b12a1d1712613e6ac..553211eb87202e28b25a5cfadc142be31f53ede7 100644
--- a/pki/base/console/src/com/netscape/admin/certsrv/config/CMSCRLIPPanel.java
+++ b/pki/base/console/src/com/netscape/admin/certsrv/config/CMSCRLIPPanel.java
@@ -24,11 +24,9 @@ import com.netscape.management.client.util.*;
 import com.netscape.certsrv.common.*;
 import com.netscape.admin.certsrv.connection.*;
 import javax.swing.*;
-import javax.swing.border.*;
 import java.awt.*;
 import java.awt.event.*;
 import java.util.*;
-import javax.swing.tree.*;
 
 /**
  * CRL IP Panel
@@ -173,10 +171,10 @@ public class CMSCRLIPPanel  extends CMSBaseTab
             String name = ((JLabel)mList.getSelectedValue()).getText();
 						  //(String)mList.getSelectedValue();
             NameValuePairs nvps = new NameValuePairs();
-            nvps.add(Constants.PR_ENABLED, "");
-            nvps.add(Constants.PR_ID, "");
-            nvps.add(Constants.PR_DESCRIPTION, "");
-            nvps.add(Constants.PR_CLASS, "");
+            nvps.put(Constants.PR_ENABLED, "");
+            nvps.put(Constants.PR_ID, "");
+            nvps.put(Constants.PR_DESCRIPTION, "");
+            nvps.put(Constants.PR_CLASS, "");
             try {
                 NameValuePairs values = mAdmin.read(DestDef.DEST_CA_ADMIN,
                                                     ScopeDef.SC_CRLIPS,
@@ -295,15 +293,13 @@ public class CMSCRLIPPanel  extends CMSBaseTab
     //update the UI component using the data retrieved
     private void populate(NameValuePairs nvps) {
 
-        Enumeration names = nvps.getNames();
         mDataModel.removeAllElements();
         mNames.removeAllElements();
-        while (names.hasMoreElements()) {
-            String name = (String)names.nextElement();
+        for (String name : nvps.keySet()) {
             if (name.indexOf('.') == -1) {
                 mNames.addElement(name);
 
-                String enable = nvps.getValue(name+"."+Constants.PR_ENABLED);
+                String enable = nvps.get(name + "." + Constants.PR_ENABLED);
                 if (enable != null && enable.equalsIgnoreCase(Constants.TRUE)) {
                     mDataModel.addElement(new JLabel(name, 
                                           CMSAdminUtil.getImage(CMSAdminResources.IMAGE_RULE),
diff --git a/pki/base/console/src/com/netscape/admin/certsrv/config/CMSCRLSettingPanel.java b/pki/base/console/src/com/netscape/admin/certsrv/config/CMSCRLSettingPanel.java
index d2b25f207b0ff03cb7dea2c4085998f64ad1341b..d420686e3c6e3da0bf75543be568648f16079313 100644
--- a/pki/base/console/src/com/netscape/admin/certsrv/config/CMSCRLSettingPanel.java
+++ b/pki/base/console/src/com/netscape/admin/certsrv/config/CMSCRLSettingPanel.java
@@ -286,15 +286,15 @@ public class CMSCRLSettingPanel extends CMSBaseTab {
     public void refresh() {
         _model.progressStart();
         NameValuePairs nvps = new NameValuePairs();
-        nvps.add(Constants.PR_ENABLE_CRL, "");
-        nvps.add(Constants.PR_UPDATE_SCHEMA, "");
-        nvps.add(Constants.PR_EXTENDED_NEXT_UPDATE, "");
-        nvps.add(Constants.PR_UPDATE_ALWAYS, "");
-        nvps.add(Constants.PR_ENABLE_DAILY, "");
-        nvps.add(Constants.PR_DAILY_UPDATES, "");
-        nvps.add(Constants.PR_ENABLE_FREQ, "");
-        nvps.add(Constants.PR_UPDATE_FREQ, "");
-        nvps.add(Constants.PR_GRACE_PERIOD, "");
+        nvps.put(Constants.PR_ENABLE_CRL, "");
+        nvps.put(Constants.PR_UPDATE_SCHEMA, "");
+        nvps.put(Constants.PR_EXTENDED_NEXT_UPDATE, "");
+        nvps.put(Constants.PR_UPDATE_ALWAYS, "");
+        nvps.put(Constants.PR_ENABLE_DAILY, "");
+        nvps.put(Constants.PR_DAILY_UPDATES, "");
+        nvps.put(Constants.PR_ENABLE_FREQ, "");
+        nvps.put(Constants.PR_UPDATE_FREQ, "");
+        nvps.put(Constants.PR_GRACE_PERIOD, "");
 
         try {
             NameValuePairs val = null;
@@ -319,11 +319,8 @@ public class CMSCRLSettingPanel extends CMSBaseTab {
     }
 
     public void populate(NameValuePairs nvps) {
-        String signingAlg = "";
-        for (int i=0; i<nvps.size(); i++) {
-            NameValuePair nvp = nvps.elementAt(i);
-            String name = nvp.getName();            
-            String value = nvp.getValue().trim();
+        for (String name : nvps.keySet()) {
+            String value = nvps.get(name).trim();
             if (name.equals(Constants.PR_ENABLE_CRL)) {
                 mEnableCRL.setSelected(getBoolean(value));
             } else if (name.equals(Constants.PR_UPDATE_SCHEMA)) {
@@ -535,41 +532,41 @@ public class CMSCRLSettingPanel extends CMSBaseTab {
         NameValuePairs nvps = new NameValuePairs();
 
         if (mEnableCRL.isSelected())
-            nvps.add(Constants.PR_ENABLE_CRL, Constants.TRUE);
+            nvps.put(Constants.PR_ENABLE_CRL, Constants.TRUE);
         else
-            nvps.add(Constants.PR_ENABLE_CRL, Constants.FALSE);
+            nvps.put(Constants.PR_ENABLE_CRL, Constants.FALSE);
 
-        nvps.add(Constants.PR_UPDATE_SCHEMA, mCRLGen.getText().trim());
+        nvps.put(Constants.PR_UPDATE_SCHEMA, mCRLGen.getText().trim());
 
         if (mExtendNextUpdate.isSelected())
-            nvps.add(Constants.PR_EXTENDED_NEXT_UPDATE, Constants.TRUE);
+            nvps.put(Constants.PR_EXTENDED_NEXT_UPDATE, Constants.TRUE);
         else
-            nvps.add(Constants.PR_EXTENDED_NEXT_UPDATE, Constants.FALSE);
+            nvps.put(Constants.PR_EXTENDED_NEXT_UPDATE, Constants.FALSE);
 
         if (mAlways.isSelected())
-            nvps.add(Constants.PR_UPDATE_ALWAYS, Constants.TRUE);
+            nvps.put(Constants.PR_UPDATE_ALWAYS, Constants.TRUE);
         else
-            nvps.add(Constants.PR_UPDATE_ALWAYS, Constants.FALSE);
+            nvps.put(Constants.PR_UPDATE_ALWAYS, Constants.FALSE);
 
         if (mDaily.isSelected())
-            nvps.add(Constants.PR_ENABLE_DAILY, Constants.TRUE);
+            nvps.put(Constants.PR_ENABLE_DAILY, Constants.TRUE);
         else
-            nvps.add(Constants.PR_ENABLE_DAILY, Constants.FALSE);
+            nvps.put(Constants.PR_ENABLE_DAILY, Constants.FALSE);
 
         if (timeList != null)
-            nvps.add(Constants.PR_DAILY_UPDATES, timeList);
+            nvps.put(Constants.PR_DAILY_UPDATES, timeList);
         else
-            nvps.add(Constants.PR_DAILY_UPDATES, mDailyAt.getText().trim());
+            nvps.put(Constants.PR_DAILY_UPDATES, mDailyAt.getText().trim());
 
 
         if (mEnableFreq.isSelected())
-            nvps.add(Constants.PR_ENABLE_FREQ, Constants.TRUE);
+            nvps.put(Constants.PR_ENABLE_FREQ, Constants.TRUE);
         else
-            nvps.add(Constants.PR_ENABLE_FREQ, Constants.FALSE);
+            nvps.put(Constants.PR_ENABLE_FREQ, Constants.FALSE);
 
-        nvps.add(Constants.PR_UPDATE_FREQ, mFrequency.getText().trim());
+        nvps.put(Constants.PR_UPDATE_FREQ, mFrequency.getText().trim());
 
-        nvps.add(Constants.PR_GRACE_PERIOD, mGracePeriod.getText().trim());
+        nvps.put(Constants.PR_GRACE_PERIOD, mGracePeriod.getText().trim());
 
 
         _model.progressStart();
diff --git a/pki/base/console/src/com/netscape/admin/certsrv/config/CMSEAGeneralPanel.java b/pki/base/console/src/com/netscape/admin/certsrv/config/CMSEAGeneralPanel.java
index 6130f931697e2143a49dc0bdf323243f3b61f380..2d35133df2e07a343b82727ca60223ccb4b066c5 100644
--- a/pki/base/console/src/com/netscape/admin/certsrv/config/CMSEAGeneralPanel.java
+++ b/pki/base/console/src/com/netscape/admin/certsrv/config/CMSEAGeneralPanel.java
@@ -24,8 +24,6 @@ import com.netscape.admin.certsrv.connection.*;
 import javax.swing.*;
 import java.awt.*;
 import java.awt.event.*;
-import java.util.*;
-import java.math.*;
 
 /**
  * KRA General Setting
@@ -90,7 +88,7 @@ public class CMSEAGeneralPanel extends CMSBaseTab implements ItemListener {
     public void refresh() {
         mModel.progressStart();
         NameValuePairs nvps = new NameValuePairs();
-        nvps.add(Constants.PR_NO_OF_REQUIRED_RECOVERY_AGENTS, "1");
+        nvps.put(Constants.PR_NO_OF_REQUIRED_RECOVERY_AGENTS, "1");
 
         try {
             NameValuePairs val = mAdmin.read(DestDef.DEST_KRA_ADMIN,
@@ -106,12 +104,10 @@ public class CMSEAGeneralPanel extends CMSBaseTab implements ItemListener {
     }
 
     protected void populate(NameValuePairs nvps) {
-        String defaultAlgorithm = "";
-        for (int i=0; i<nvps.size(); i++) {
-            NameValuePair nvp = nvps.elementAt(i);
-            String name = nvp.getName();
+        for (String name : nvps.keySet()) {
+            String value = nvps.get(name);
             if (name.equals(Constants.PR_NO_OF_REQUIRED_RECOVERY_AGENTS)) {
-                mNumberOfAgentsText.setText(nvp.getValue());
+                mNumberOfAgentsText.setText(value);
             }
         }
     }
@@ -144,8 +140,8 @@ public class CMSEAGeneralPanel extends CMSBaseTab implements ItemListener {
         }
 
         NameValuePairs nvps = new NameValuePairs();
-        nvps.add(Constants.PR_NO_OF_REQUIRED_RECOVERY_AGENTS, 
-          numberOfAgents);
+        nvps.put(Constants.PR_NO_OF_REQUIRED_RECOVERY_AGENTS,
+                numberOfAgents);
 
         mModel.progressStart();
         try {
